<?php require_once('topo.php');?>
<?php require_once('lateral.php');?>
<?php
//VERIFICAÇÃO DO PROGRAMA E NÍVEL PERMISÃO
$idprograma_pagina = 22;
//VERIFICA A AÇÃO DO USUÁRIO

$SelecionaProgramaUsuario = Seleciona("usuarios_programas", "WHERE idusuario='".$_SESSION['usuarioID']."' AND idprograma='$idprograma_pagina'", "LIMIT 0,1");
while($progama_usuario = mysql_fetch_array($SelecionaProgramaUsuario)){
$AcaoUsuario = $progama_usuario['acao'];
}

//AÇÕES
// Visualizar
// Inserir
// Completa

//MASTER ACESSO
if($_SESSION['master'] == 1){
   $AcaoUsuario = "Completa"; 
}

//FIM VERIFICAÇÃO PROGRAMA
?>  
<?php
$idfornecedor = $_GET['idfornecedor'];
$datainicio = $_GET['datainicio'];
$datafim = $_GET['datafim'];
//ADICIONAR PAGAMENTO


$acao_pagamentos	= $_GET['acao'];

//CAMPOS POST 

$idpagamento = $_GET['idpagamento'];
$idpagamento .= $_POST['idpagamento'];
$valor = str_replace(",",".",$_POST['valor']);
$tipo = $_POST['tipo'];
$data = $_POST['data'];
$status = $_POST['status'];
$bandeira = $_POST['bandeira'];
$banco = $_POST['banco'];
$numero_cheque = $_POST['numero_cheque'];
$data_compensacao = $_POST['data_compensacao'];
$titular_cheque = $_POST['titular_cheque'];
$valor_total = str_replace(",",".",$_POST['valor_total']);
//$tipo_conta_atual = "Pagar";
// RECEBIMENTO DE FORNECEDORES 17/02/2017
$tipo_conta_atual = $_POST['tipo_conta_atual'];
$pagamento = $_POST['pagamento'];
$compensado = $_POST['compensado'];
$destino = $_POST['destino'];
$categoria_pagamento = "Fornecedores";
$observacao_pagamento = $_POST['observacao_pagamento'];
if($tipo_conta_atual == "Pagar"){ 
$origem = "Pagamento de Fornecedores";
}else{
$origem = "Recebimento de Fornecedores";	
}
$idpagamento_cheque = $_POST['idpagamento_cheque'];
$idcentrodecusto = $_POST['idcentrodecusto'];
$idconta = $_POST['idconta'];

//CAMPOS TABELA SALVAR 

$campos_tabela_pagamentos = "idconta, valor, tipo, data, parcela, status, idfornecedor, bandeira, banco, numero_cheque, data_compensacao, titular_cheque, valor_total, tipo_conta, pagamento, compensado, destino, categoria, excluido, observacao_pagamento, origem, idpagamento_cheque, idcentrodecusto, idusuario_cadastro";

//Dados da Tabela

$tabela_pagamentos	="pagamentos";

$campos_value_pagamentos = "'$idconta', '$valor', '$tipo', '$data', '$parcela', '$status', '$idfornecedor', '$bandeira', '$banco', '$numero_cheque', '$data_compensacao', '$titular_cheque', '$valor_total', '$tipo_conta_atual', '$pagamento', '$compensado', '$destino','$categoria_pagamento', '$excluido', '$observacao_pagamento', '$origem', '$idpagamento_cheque', '$idcentrodecusto', '".$_SESSION['usuarioID']."'";

//INSERIR REGISTROS

if($acao_pagamentos == "Salvar"){

$salvar_pagamentos = Salvar($tabela_pagamentos, $campos_tabela_pagamentos, $campos_value_pagamentos);

//ATUALIZO CHEQUE UTILIZADO
if($idpagamento_cheque != ""){
	
	$AlteraPagamentoCheque = Alterar("pagamentos", "compensado='Sim', destino='Pagamento do Fornecedor ".$idfornecedor."', origem='Pagamento do Fornecedor ".$idfornecedor."', idpagamento_cheque='$idpagamento_cheque', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento_cheque);
}

// RETORNA ULTIMO ID INSERIDO

$id_insert = mysql_insert_id();

//VERIFICO SE O VALOR TOTAL DE PAGAMENTOS É IGUAL DA CONTA
if($idconta != ""){
$SelecionaConta = Seleciona("contas", "WHERE idconta='$idconta'", "LIMIT 0,1");
while($conta = mysql_fetch_array($SelecionaConta)){
	$valor_conta = $conta['valor_conta'];	
}

//PAGO TOTAL DE VALOR PAGO
$SelecionaPagamentosConta = Seleciona("pagamentos", "WHERE idconta='$idconta'", "");
while($pagamentos_conta = mysql_fetch_array($SelecionaPagamentosConta)){
	$TotalPagamento[] = str_replace(",", ".", $pagamentos_conta['valor']);	
}
$TotalFinalPagamento = array_sum($TotalPagamento);
if($TotalFinalPagamento >= $valor_conta){
$atualiza_conta = Alterar("contas", "status_conta='Pago'", "idconta", $idconta);
}
}
//FINALIZO VERIFICAÇÃO DE PAGAMENTO CONTA

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Adiciono Pagamento no Relatório Histórco Fornecedores $idfornecedor - $idpagamento', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO
    
if($tipo_conta_atual == "Pagar"){ 
$tipo_log = "Saida";
}else{
$tipo_log = "Entrada";	
}

if($tipo_conta_atual == "Pagar"){ 
$categoria_log = "PagamentoFornecedores";
}else{
$categoria_log = "RecebimentoFornecedores";	
}

//LOG FINANCEIRO
$SalvarLogFinanceiro = Salvar("logs_financeiro", "tipo, categoria, idconta, idpagamento, idcliente, idfornecedor, idusuario, idmovimento, idcompra_prima, idcompra, idorcamento, idvenda, iddevolucao, idpagamento_cheque, data, valor, tipo_pagamento, status, idcentrodecusto, idusuario_cadastro", "'$tipo_log', '$categoria_log', '$idconta', '$id_insert', NULL, '$idfornecedor', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '$idpagamento_cheque', '$data', '$valor', '$tipo', '$status', '$idcentrodecusto', '".$_SESSION['usuarioID']."'");	


$redireciona = VerificaSql($salvar_pagamentos, "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."", "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."");

}


//EXCLUIR REGISTRO 


if($_GET["excluir_pagamentos"] == "sim"){

$tipo_atual = $_GET['tipo'];
$idpagamento_cheque_atual = $_GET['idpagamento_cheque'];
if($tipo_atual == "chequebase"){
$AlteraPagamentoCheque = Alterar("pagamentos", "compensado='Nao', destino='', origem='', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento_cheque_atual);	
$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idpagamento_cheque='$idpagamento_cheque_atual' AND idfornecedor='$idfornecedor'", $conexao) or die (mysql_error());
}

//LOG USUARIO
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Exclui Pagamento no Relatório Histórco Fornecedores $idfornecedor - $idpagamento', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
//FIM LOGUSUARIO    
    
$deletar = Excluir($tabela_pagamentos, "idpagamento", $idpagamento);

//EXCLUI LOG FINANCEIRO
$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idpagamento='$idpagamento' AND idfornecedor='$idfornecedor'", $conexao) or die (mysql_error());

$redireciona = VerificaSql($deletar, "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."", "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."");

} 


if($_GET["excluir_conta"] == "sim"){
$idconta = $_GET['idconta'];
$idcompra_prima = $_GET['idcompra_prima'];
$idcompra = $_GET['idcompra'];

//VERIFICA SE EXISTE TRANSFERENCIA
$VerificaTransferencia = Seleciona("contas", "WHERE idconta='$idconta' AND idtransferencia IS NOT NULL", "");
$TotalTransferencia = mysql_num_rows($VerificaTransferencia);

if($TotalTransferencia > 0){
	while($transferencia = mysql_fetch_array($VerificaTransferencia)){
		$idtransferencia = $transferencia['idtransferencia'];

		$deletar = Excluir("contas", "idtransferencia", $idtransferencia);
		$deletar_pagamentos = Excluir("pagamentos", "idtransferencia", $idtransferencia);		
		$deletar_logs = Excluir("logs_financeiro", "idtransferencia", $idtransferencia);				
			
	}
}


$deletar = Excluir("contas", "idconta", $idconta);

//EXCLUI LOG FINANCEIRO
$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idconta='$idconta' AND idfornecedor='$idfornecedor'", $conexao) or die (mysql_error());		

if($idcompra_prima != ""){
	$deletar_compraprima = Excluir("compras_prima", "idcompra_prima", $idcompra_prima);
	$deletar_compraprimaprodutos = Excluir("compras_prima_produtos", "idcompra_prima", $idcompra_prima);

	//EXCLUI LOG FINANCEIRO
	$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idcompra_prima='$idcompra_prima' AND idfornecedor='$idfornecedor'", $conexao) or die (mysql_error());	
}

if($idcompra != ""){
	$deletar_compra = Excluir("compras_produtos", "idcompra", $idcompra);
	$deletar_compraprodutos = Excluir("compras_produtos_produtos", "idcompra", $idcompra);
	//EXCLUI LOG FINANCEIRO
	$deletar_logfinanceiro = mysql_query("DELETE FROM logs_financeiro WHERE idcompra='$idcompra' AND idfornecedor='$idfornecedor'", $conexao) or die (mysql_error());		
}
    
$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Exclui Conta no Relatório Histórco Fornecedores $idfornecedor - $idconta', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
    

$redireciona = VerificaSql($deletar, "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."", "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."");

} 



//ATUALIZANDO STATUS PRA PAGO

if($_GET["Receber"] == "sim"){

//VERIFICO SE É CONTA
if($_GET['idconta'] == ""){
	
$AlteraPagamento = Alterar("pagamentos", "status='Pago', idcentrodecusto='".$_GET['idcentrodecusto']."', data='".$_GET['data_pagamento']."', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento);

//ALTERAR LOG FINANCEIRO
$alterar_logfinanceiro = mysql_query("UPDATE logs_financeiro SET status='Pago', idcentrodecusto='".$_GET['idcentrodecusto']."', data='".$_GET['data_pagamento']."', idusuario_cadastro='".$_SESSION['usuarioID']."' WHERE idpagamento='$idpagamento' AND idfornecedor='$idfornecedor'") or die (mysql_error());

}else{

$AlteraPagamento = Alterar("contas", "status_conta='Pago', idcentrodecusto='".$_GET['idcentrodecusto']."', data_conta='".$_GET['data_pagamento']."', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idconta", $_GET['idconta']);

//ALTERAR LOG FINANCEIRO
$alterar_logfinanceiro = mysql_query("UPDATE logs_financeiro SET categoria='RecebimentoFornecedores', status='Pago', tipo_pagamento='".$_GET['tipo_pagamento_conta']."', idcentrodecusto='".$_GET['idcentrodecusto']."', data='".$_GET['data_pagamento']."', idusuario_cadastro='".$_SESSION['usuarioID']."' WHERE idconta='".$_GET['idconta']."' AND idfornecedor='$idfornecedor'") or die (mysql_error());

	
//	echo "É CONTA";
	
}

$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Recebe Pagamento no Relatório Histórco Fornecedores $idfornecedor - $idpagamento', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
    
    
$redireciona = VerificaSql($AlteraPagamento, "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."", "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."");

} 

//ATUALIZANDO STATUS PRA ABERTO

if($_GET["Receber"] == "Aberto"){

$AlteraPagamento = Alterar("pagamentos", "status='Aberto', idusuario_cadastro='".$_SESSION['usuarioID']."'", "idpagamento", $idpagamento);

//ALTERAR LOG FINANCEIRO
$alterar_logfinanceiro = mysql_query("UPDATE logs_financeiro SET status='Aberto', idusuario_cadastro='".$_SESSION['usuarioID']."' WHERE idpagamento='$idpagamento' AND idfornecedor='$idfornecedor'") or die (mysql_error());

$SalvarLogUsuario = Salvar("logs_usuarios", "idusuario, acao, programa_origem, datacadastro, horacadastro", "'".$_SESSION['usuarioID']."', 'Pagamento em Aberto no Relatório Histórco Fornecedores $idfornecedor - $idpagamento', '$idprograma_pagina', '".date('Y-m-d')."', '".date('H:i:s')."'");
    

$redireciona = VerificaSql($AlteraPagamento, "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."", "relatorio_historico_fornecedores.php?idfornecedor=".$idfornecedor."&mes=".$_GET['mes']."");

} 

?>

      <?php	  
//PAGAR	  TESTE 
//TOTAL VALOR PAGO
if($datainicio == "" and $datafim == ""){
	$selec = "select sum(valor) AS soma FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Pago' AND tipo_conta='Pagar'";
}else{
	$selec = "select sum(valor) AS soma FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim')  AND tipo_conta='Pagar'";	
}
	$exec = mysql_query($selec, $conexao) or die(mysql_error());       
	while($areceberpago=mysql_fetch_array($exec)) {
	$pago = $areceberpago['soma'];	
	}	
	
//TOTAL VALOR ABERTO
if($datainicio == "" and $datafim == ""){
	$selec_aberto = "select sum(valor) AS soma_aberto FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Aberto'  AND tipo_conta='Pagar'";
}else{
	$selec_aberto = "select sum(valor) AS soma_aberto FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Aberto' AND data BETWEEN ('$datainicio') AND ('$datafim')  AND tipo_conta='Pagar'";
	
}
	$exec_aberto = mysql_query($selec_aberto, $conexao) or die(mysql_error());       
	while($aberto=mysql_fetch_array($exec_aberto)) {
	$totalaberto = $aberto['soma_aberto'];	
	}	
	
//RECEBER 	  
//TOTAL VALOR PAGO
if($datainicio == "" and $datafim == ""){
	$selec_areceber = "select sum(valor) AS soma FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Pago' AND tipo_conta='Receber'";
}else{
	$selec_areceber = "select sum(valor) AS soma FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Pago' AND data BETWEEN ('$datainicio') AND ('$datafim')  AND tipo_conta='Receber'";	
}
	$exec_areceber = mysql_query($selec_areceber, $conexao) or die(mysql_error());       
	while($areceberpago_areceber=mysql_fetch_array($exec_areceber)) {
	$pago_areceber = $areceberpago_areceber['soma'];	
	}	
	
//TOTAL VALOR ABERTO
if($datainicio == "" and $datafim == ""){
	$selec_aberto_areceber = "select sum(valor) AS soma_aberto FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Aberto'  AND tipo_conta='Receber'";
}else{
	$selec_aberto_areceber = "select sum(valor) AS soma_aberto FROM pagamentos WHERE idfornecedor='$idfornecedor' AND status='Aberto' AND data BETWEEN ('$datainicio') AND ('$datafim')  AND tipo_conta='Receber'";
	
}
	$exec_aberto_areceber = mysql_query($selec_aberto_areceber, $conexao) or die(mysql_error());       
	while($aberto_areceber=mysql_fetch_array($exec_aberto_areceber)) {
	$totalaberto_areceber = $aberto_areceber['soma_aberto'];	
	}			
?>


      <!-- Right side column. Contains the navbar and content of the page -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
           Pagamentos de Fornecedores
            <small>listagem de fornecedores cadastrados</small>
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li><a href="relatorio_historico_fornecedores.php">Pagamentos de Fornecedores</a></li>
            <li class="active">Listagem</li>
          </ol>
        </section>
        <!-- Main content -->
        <section class="content">
          <div class="row">
            <div class="col-xs-12"><!-- /.box -->

              <div class="box">
                <div class="box-header">
                  <h3 class="box-title">Pagamentos de Fornecedores</h3>
                </div><!-- /.box-header -->
                <div class="box-body">
<?

//$array = explode(';', $recebecliente);
//echo $recebecliente;

//  $cliente = $_POST['cliente'];
  //$cliente = "61";
  //$mes = "03";
  $mes = $_GET['mes'];
  
  $seleciona_cliente = mysql_query("SELECT * FROM fornecedores WHERE idfornecedor='$idfornecedor' ", $conexao) or die(mysql_error());
  while($dados_cliente = mysql_fetch_array($seleciona_cliente)){
  	$nome_cliente 	= utf8_encode($dados_cliente['nome']);
  }


?>

<script type="text/javascript">
//BUSCAR CLIENTES
$(function() {
$("#nome").autocomplete({
	source: "ajax/autocomplete_buscar_fornecedor.php",
	minLength: 1,
	select: function(event, ui) {
        $('#nome').val(ui.item.nome);
		$('#idfornecedor').val(ui.item.idfornecedor);		
    }
});
});

//BUSCAR PAGAMENTOS
$(function() {
$("#chequebase").autocomplete({
	source: "ajax/autocomplete_buscar_cheques.php",
	minLength: 1,
	select: function(event, ui) {
        $('#valor').val(ui.item.valor);
		$('#idpagamento_cheque').val(ui.item.idpagamento_cheque);		
    }
});
});
</script>

<script type="text/javascript">

function MM_jumpMenu(targ,selObj,restore){ //v3.0

  eval(targ+".location='"+selObj.options[selObj.selectedIndex].value+"'");

  if (restore) selObj.selectedIndex=0;

}
</script>
<style type="text/css">
body,td,th {
	font-family: "Trebuchet MS";
	font-size: 11px;
	color: #666;
}
</style>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0">
<form method="get" action="relatorio_historico_fornecedores.php" enctype="multipart/form-data" autocomplete="off">
  <tr>
    <td width="296" bgcolor="#F4F4F4" style="font-size:16px; font-weight:bold;"><?php echo $nome_cliente;?></td>
    <td width="296" bgcolor="#F4F4F4">
  <select name="idfornecedor" id="idfornecedor" class="form-control selectpicker" data-live-search="true">
    <option value="">Selecione o Fornecedor Desejado</option>
  <?php
$seleciona_clientes = mysql_query("SELECT * FROM fornecedores ORDER BY nome ASC", $conexao) or die(mysql_error());
while($dados_cliente = mysql_fetch_array($seleciona_clientes)){
?>
  <option value="<?php echo $dados_cliente['idfornecedor'];?>"><?php echo $dados_cliente['nome'];?></option>
  <? }?>
  </select>
    </td>
    <td width="265" bgcolor="#F4F4F4">
    <input type="date" placeholder="Data Inicio" name="datainicio" id="datainicio" />
    </td>
    <td width="265" bgcolor="#F4F4F4">
    <input type="date" placeholder="Data Inicio" name="datafim" id="datafim"/>
    </td> 
    <td width="367" align="left" bgcolor="#F4F4F4"><input type="submit" name="button" id="button" value="Filtrar" /></td>
    <td width="28" bgcolor="#F4F4F4">
    <button type='button' class='btn btn-vk' onClick="window.open('imprimir_relatorio_historico_fornecedores.php?idfornecedor=<?php echo $_GET['idfornecedor'];?>&datainicio=<?php echo $_GET['datainicio'];?>&datafim=<?php echo $_GET['datafim'];?>', '_blank')">Imprimir</button>
    
    <?php if($_GET['idfornecedor'] != ""){?>
    <a class="fancybox fancybox.iframe" style="color: #000000;" href="arquivos/index.php?origem=Fornecedor&idfornecedor=<?php echo $_GET['idfornecedor'];?>">
    <button type="button" class="btn btn-github" style=" float: inherit;">
    Anexar Arquivos
    </button>   
    </a>    
	<?php }?>    
    </td>
  </tr>
  </form>
</table>
<?php if($_GET['idfornecedor'] != ""){ ?>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" id="tabela_k88">
  <thead>
  <tr>
    <td align="left" bgcolor="#CCCCCC">TIPO</td>
    <td height="25" align="left" bgcolor="#CCCCCC">C&Oacute;D.</td>
    <td align="left" bgcolor="#CCCCCC">TIT&Uacute;LO</td>
    <td align="left" bgcolor="#CCCCCC">D&Eacute;BITO</td>
    <td align="left" bgcolor="#CCCCCC">CR&Eacute;DITO</td>
    <td align="left" bgcolor="#CCCCCC">DATA</td>
    <td align="left" bgcolor="#CCCCCC">C. CUSTO</td>
    <td align="left" bgcolor="#CCCCCC">CADASTRADO POR</td>
    <td align="left" bgcolor="#CCCCCC">&nbsp;</td>
    </tr>
  </thead>
  <tbody>
  <?php
  $cor_fundo = "#FFFFFF";

//PAGAR
if($datainicio == "" and $datafim == ""){
$seleciona = mysql_query("SELECT * FROM contas WHERE idfornecedor='$idfornecedor' AND tipo_conta='Pagar' ORDER BY data_conta ASC", $conexao) or die(mysql_error());    

$seleciona_pagamentos = mysql_query("SELECT * FROM pagamentos WHERE idfornecedor='$idfornecedor' AND tipo_conta='Pagar' ORDER BY data ASC", $conexao) or die(mysql_error()); 

$seleciona_pagamentos_areceber = mysql_query("SELECT * FROM contas WHERE idfornecedor='$idfornecedor' AND tipo_conta='Receber' ORDER BY data_conta ASC", $conexao) or die(mysql_error()); 
//echo "estou aqui";
}else{
$seleciona = mysql_query("SELECT * FROM contas WHERE idfornecedor='$idfornecedor' AND tipo_conta='Pagar' AND data_conta BETWEEN ('$datainicio') AND ('$datafim')  ORDER BY data_conta ASC", $conexao) or die(mysql_error());    

$seleciona_pagamentos = mysql_query("SELECT * FROM pagamentos WHERE idfornecedor='$idfornecedor'  AND tipo_conta='Pagar' AND data BETWEEN ('$datainicio') AND ('$datafim') ORDER BY data ASC", $conexao) or die(mysql_error());  

$seleciona_pagamentos_areceber = mysql_query("SELECT * FROM contas WHERE idfornecedor='$idfornecedor'  AND tipo_conta='Receber' AND data_conta BETWEEN ('$datainicio') AND ('$datafim') ORDER BY data_conta ASC", $conexao) or die(mysql_error());  


//echo "estou aqui 2 ";
}

	if($cor_fundo == "#FFFFFF"){
		$cor_fundo = "#DEF2FF";
	}else{
		$cor_fundo = "#FFFFFF";
	}  
  $saldo_conta = $pagamento['valor'] - $linha['valor_conta'];

  ?>
  <?php 
  while($linha=mysql_fetch_array($seleciona)){ 
  $dataconta = $linha['datacadastro'];  
  	
  $idcompra_gerado = ExibeApenasNumero($linha['titulo_conta']);	
  
  //SELECIONA NF
  $tipo_compra = $linha['titulo_conta'];
  $tipo = "Prima";
  $pos      = strripos($tipo_compra, $tipo);
  
  if ($pos === false) {
    $SelecionaNf = Seleciona("compras_produtos", "WHERE idcompra='$idcompra_gerado'", "LIMIT 0,1");
} else {
    $SelecionaNf = Seleciona("compras_prima", "WHERE idcompra_prima='$idcompra_gerado'", "LIMIT 0,1");
}  
  while($valor_nf = mysql_fetch_array($SelecionaNf)){
	$Nf_Atual = $valor_nf['nf'];  
  }
  $valorconta = $linha['valor_conta'];  
  ?>
  <tr bgcolor="#FFC1C1" style="border: 1px solid #BBBBBB;">
    <td align="left" bgcolor="#FFC1C1"><?php echo "Compra";?></td>
    <td height="25" align="left"><?php echo $linha['idconta'];?></td>
    <td align="left"><?php echo $linha['titulo_conta']. " <br> NF: " . $Nf_Atual. " <br> Obs.: " . $linha['observacao']  ;?></td>
    <td align="left"><?php if($linha['valor_conta'] > 0){ echo number_format($linha['valor_conta'], 2, ',', '.');}?></td>
    <td align="left"></td>
    <td align="left"><?php echo $linha['data_conta'];?></td>
    <td align="left">&nbsp;</td>
    <td align="left"><?php echo LoginUsuario($linha['idusuario_cadastro']);?></td>
    <td align="left">
      <?php
    //VERIFICAR USUARIO PROGRAMA
    if($AcaoUsuario == "Completa"){ 						
    ?>    
      <?php //if($linha['idvenda'] == ""){ ?>
      <a href="#" onclick="ExcluiRegistro('relatorio_historico_fornecedores.php?idfornecedor=<?php echo $_GET['idfornecedor'];?>&mes=<?php echo $_GET['mes'];?>&idconta=<?php echo $linha['idconta'];?>&idcompra_prima=<?php echo $linha['idcompra_prima'];?>&idcompra=<?php echo $linha['idcompra'];?>&excluir_conta=sim');">     
        <img src="img/icone_excluir.gif" width="24" height="24" alt=""/></a>
      <?php //}?>
      <?php }?>
      
    </td>
    </tr>
  <?php 
  $idcompra_gerado = "";
  $Nf_Atual = "";
  if($linha['idconta'] <> $idconta){
  $soma_conta += $valorconta;
  }
  }
	
	while($pagamento = mysql_fetch_array($seleciona_pagamentos)){	

	$valor_pg = $pagamento['valor'];
	$datapagamento = $pagamento['datacadastro'];
	  
	  $status_atual = $pagamento['status'];
	  
	  if($status_atual == "Aberto"){
		$cor_celula = "#FFE599";  
	  }else{
		$cor_celula = "#B0FFD0";		  
	  }
	  
$SelecionaCentroCusto = Seleciona("centrodecusto", "WHERE idcentrodecusto='".$pagamento['idcentrodecusto']."'", "ORDER BY titulo ASC LIMIT 0,1");
	  while($centro = mysql_fetch_array($SelecionaCentroCusto)){
		$CentroCusto = $centro['titulo'];
	  }
	  
  ?>
  <tr bgcolor="<?php echo $cor_celula;?>" style="border: 1px solid #BBBBBB;">
    <td align="left"><?php echo $pagamento['tipo_conta'] . " - " . $pagamento['tipo'];?></td>
    <td height="25" align="left"><?php echo $pagamento['idpagamento'];?></td>
    <td align="left">
	<?php echo $pagamento['status'] . " <br> Obs.: " . $pagamento['observacao_pagamento'];
	if($pagamento['tipo'] == "cheque"){
	echo "<br>Titular: " . $pagamento['titular_cheque'] . "<br>";
	echo "Data Comp: " . date("d/m/Y", strtotime($pagamento['data_compensacao'])) . "<br>";
	echo "N. Cheque: " . $pagamento['numero_cheque'] . "<br>";
	
	}	
	
	if($pagamento['tipo'] == "chequebase"){
	$SelecionaChequebase = Seleciona("pagamentos", "WHERE idpagamento='".$pagamento['idpagamento_cheque']."'", "");
	while($pagamento_cheque = mysql_fetch_array($SelecionaChequebase)){
	echo "<br>Titular: " . $pagamento_cheque['titular_cheque'] . "<br>";
	echo "Data Comp: " . date("d/m/Y", strtotime($pagamento_cheque['data_compensacao'])) . "<br>";
	echo "N. Cheque: " . $pagamento_cheque['numero_cheque'] . "<br>";
	}
	}		
	?></td>
    <td align="left"></td>
    <td align="left"><?php if($pagamento['valor'] > 0 ){ echo number_format($pagamento['valor'], 2, ',', '.'); }?></td>
    <td align="left"><?php echo $pagamento['data'];?></td>
    <td align="left"><?php echo $CentroCusto;?></td>
    <td align="left"><?php echo LoginUsuario($pagamento['idusuario_cadastro']);?></td>
    <td align="left">
      <?php
    //VERIFICAR USUARIO PROGRAMA
    if($AcaoUsuario == "Completa"){ 						
    ?>    
      <a href="#" onclick="ExcluiRegistro('relatorio_historico_fornecedores.php?idfornecedor=<?php echo $_GET['idfornecedor'];?>&mes=<?php echo $_GET['mes'];?>&idpagamento=<?php echo $pagamento['idpagamento'];?>&excluir_pagamentos=sim&tipo=<?php echo $pagamento['tipo'];?>&idpagamento_cheque=<?php echo $pagamento['idpagamento_cheque'];?>');">    
        <img src="img/icone_excluir.gif" width="24" height="24" alt=""/></a>
      <?php }?>
    </td>
    </tr>
  <?php 
  $CentroCusto = "";
  }
  ?>
  <?php 
	$Valor_Receber = 0;
	while($pagamento_areceber = mysql_fetch_array($seleciona_pagamentos_areceber)){	

	$valor_pgpagamento_areceber = $pagamento_areceber['valor_conta'];
	$datapagamentopagamento_areceber = $pagamento_areceber['data_conta'];
	  
	  $status_atualpagamento_areceber = $pagamento_areceber['status_conta'];
	  
	  if($status_atualpagamento_areceber == "Aberto"){
		$cor_celula = "#FFC1C1";  
	  }else{
		$cor_celula = "#B0FFD0";		  
	  }
	  
$SelecionaCentroCusto = Seleciona("centrodecusto", "WHERE idcentrodecusto='".$pagamento_areceber['idcentrodecusto']."'", "ORDER BY titulo ASC LIMIT 0,1");
	  while($centro = mysql_fetch_array($SelecionaCentroCusto)){
		$CentroCusto = $centro['titulo'];
	  }	  
	  
  ?>
  <tr bgcolor="<?php echo $cor_celula;?>" style="border: 1px solid #BBBBBB;">
    <td align="left"><?php echo $pagamento_areceber['tipo_conta'];?></td>
    <td height="25" align="left"><?php echo $pagamento_areceber['idconta'];?></td>
    <td align="left">
	<?php echo $pagamento_areceber['titulo_conta'] . " - " . $pagamento_areceber['status_conta'] . " <br> Obs.: " . $pagamento_areceber['observacao_pagamento'];?></td>
    <td align="left">&nbsp;</td>
    <td align="left"><?php if($pagamento_areceber['valor_conta'] > 0 ){ echo number_format($pagamento_areceber['valor_conta'], 2, ',', '.'); }?></td>
    <td align="left"><?php echo $pagamento_areceber['data_conta'];?></td>
    <td align="left"><?php echo $CentroCusto;?></td>
    <td align="left"><?php echo LoginUsuario($pagamento_areceber['idusuario_cadastro']);?></td>
    <td align="left">
      <?php
    //VERIFICAR USUARIO PROGRAMA
    if($AcaoUsuario == "Completa"){ 						
    ?>    
      
      <a href="#" onclick="ExcluiRegistro('relatorio_historico_fornecedores.php?idfornecedor=<?php echo $_GET['idfornecedor'];?>&mes=<?php echo $_GET['mes'];?>&idconta=<?php echo $pagamento_areceber['idconta'];?>&excluir_conta=sim&tipo=<?php echo $pagamento_areceber['tipo_conta'];?>');">    
        
        <img src="img/icone_excluir.gif" width="24" height="24" alt=""/></a>
      <?php }?>
    </td>
    </tr>
  <?php 
  	$Valor_Receber = $pagamento_areceber['valor_conta'] + $Valor_Receber;
  }
  ?>  
  </tbody>
  <tfoot>
  <tr bgcolor="#DEF2FF">
    <td align="left">&nbsp;</td>
    <td height="25" align="left">&nbsp;</td>
    <td align="left">&nbsp;</td>
    <td align="left"><strong>
      <?php
		echo number_format($soma_conta + $totalaberto_areceber, 2, ',', '.');
		?>
    </strong></td>
    <td align="left"><strong><?php echo "R$ " . number_format($pago + $Valor_Receber, 2, ',', '.'); ?></strong></td>
    <td align="left">&nbsp;</td>
    <td align="left"></td>
    <td align="left"></td>
    <td align="left"></td>
    </tr>  
  </tfoot>
  </table>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">

  <tr bgcolor="#DEF2FF">
    <td width="10%" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="10%" height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="30%" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="20%" bgcolor="#CCCCCC">&nbsp;</td>
    <td width="20%" align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Total à Pagar</strong></td>
    <td width="12%" colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><strong>R$
      <?php
		echo number_format($soma_conta + $totalaberto_areceber + $pago_areceber, 2, ',', '.');
		?>

      </strong></td>
  </tr>
  <tr bgcolor="#DEF2FF">
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Total Pago + Crédito</strong></td>
    <td colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><?php echo "R$ " . number_format($pago + $Valor_Receber, 2, ',', '.'); ?></td>
  </tr>
  <tr bgcolor="#DEF2FF">
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Total Em Aberto</strong></td>
    <td colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><?php echo "R$ " . number_format($totalaberto + $totalaberto_areceber, 2, ',', '.'); ?></td>
  </tr>
  <tr bgcolor="#DEF2FF">
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td height="25" bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td bgcolor="#CCCCCC">&nbsp;</td>
    <td align="right" bgcolor="#CCCCCC" style="font-size:18px"><strong>Saldo Fornecedor</strong></td>
    <td colspan="4" align="center" bgcolor="#CCCCCC" style="font-size:18px"><strong>
      <?php
		$total = $pago + $Valor_Receber - $soma_conta - $totalaberto_areceber;
		
		if($total > 0){
			echo " + R$ " . number_format($total, 2, ',', '.');
		}else{
			echo " - R$ " . number_format($total, 2, ',', '.');
		}
		?>
    </strong></td>
  </tr>
  
  <tr bgcolor="#FFFFFF">
    <td colspan="9" align="center" bgcolor="#FFFFFF"> 
    <?php
    //VERIFICAR USUARIO PROGRAMA
    if($AcaoUsuario == "Completa"){ 						
    ?>    
<a class="fancybox fancybox.iframe" style="color: #000000;" href="transferir_saldo.php?idfornecedor_origem=<?php echo $_GET['idfornecedor'];?>&nome=<?php echo $nome_cliente;?>&origem=fornecedor">     
    <button type="button" class="btn btn-primary" style=" float: inherit;">
    Transferir Saldo
    </button>   
</a>   
    <?php }?>
    </td>
  </tr>   
  
</table>
                </div><!-- /.box-body -->
              </div><!-- /.box -->
            </div><!-- /.col -->
            
 
            <?php }?>
          </div><!-- /.row -->
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
<?php require_once('rodape.php');?>